> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mailchimp.com/developer/marketing/api/lists/update/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/_mcp/server. # Update lists PATCH https://api.mailchimp.com/3.0/lists/{list_id} Content-Type: application/json Update the settings for a specific list. Reference: https://mailchimp.com/developer/marketing/api/lists/update ## Authentication - `Authorization` header (bearer token, required) — Authorization using a Mailchimp API key (a.k.a. Bearer token) - `Authorization` header (bearer token, required) — Authorization using OAuth ## Request ### Path parameters - `list_id` (string, required) — The unique ID for the list. ### Body (application/json) This endpoint expects an object. - `campaign_defaults` (30ListsListIdPatchRequestBodyContentApplicationJsonSchemaCampaignDefaults, optional) — [Default values for campaigns](https://mailchimp.com/help/edit-your-emails-subject-preview-text-from-name-or-from-email-address/) created for this list. - `contact` (30ListsListIdPatchRequestBodyContentApplicationJsonSchemaContact, optional) — [Contact information displayed in campaign footers](https://mailchimp.com/help/about-campaign-footers/) to comply with international spam laws. - `double_optin` (boolean, optional, default: false) — Whether or not to require the subscriber to confirm subscription via email. - `email_type_option` (boolean, optional) — Whether the list supports [multiple formats for emails](https://mailchimp.com/help/audience-settings-and-defaults/). When set to `true`, subscribers can choose whether they want to receive HTML or plain-text emails. When set to `false`, subscribers will receive HTML emails, with a plain-text alternative backup. - `marketing_permissions` (boolean, optional, default: false) — Whether or not the list has marketing permissions (eg. GDPR) enabled. - `name` (string, optional) — The name of the list. - `notify_on_subscribe` (string, optional, default: false) — The email address to send [subscribe notifications](https://mailchimp.com/help/change-subscribe-and-unsubscribe-notifications/) to. - `notify_on_unsubscribe` (string, optional, default: false) — The email address to send [unsubscribe notifications](https://mailchimp.com/help/change-subscribe-and-unsubscribe-notifications/) to. - `permission_reminder` (string, optional) — The [permission reminder](https://mailchimp.com/help/edit-the-permission-reminder/) for the list. - `use_archive_bar` (boolean, optional, default: false) — Whether campaigns for this list use the [Archive Bar](https://mailchimp.com/help/about-email-campaign-archives-and-pages/) in archives by default. ## Response ### 200 - `_links` (list of SubscriberListLinksItems, optional) — A list of link types and descriptions for the API schema documents. - `beamer_address` (string, optional) — The list's [Email Beamer](https://mailchimp.com/help/use-email-beamer-to-create-a-campaign/) address. - `campaign_defaults` (SubscriberListCampaignDefaults, optional) — [Default values for campaigns](https://mailchimp.com/help/edit-your-emails-subject-preview-text-from-name-or-from-email-address/) created for this list. - `contact` (SubscriberListContact, optional) — [Contact information displayed in campaign footers](https://mailchimp.com/help/about-campaign-footers/) to comply with international spam laws. - `date_created` (datetime, optional) — The date and time that this list was created in ISO 8601 format. - `double_optin` (boolean, optional, default: false) — Whether or not to require the subscriber to confirm subscription via email. - `email_type_option` (boolean, optional) — Whether the list supports [multiple formats for emails](https://mailchimp.com/help/audience-settings-and-defaults/). When set to `true`, subscribers can choose whether they want to receive HTML or plain-text emails. When set to `false`, subscribers will receive HTML emails, with a plain-text alternative backup. - `has_welcome` (boolean, optional, default: false) — Whether or not this list has a welcome automation connected. Welcome Automations: welcomeSeries, singleWelcome, emailFollowup. - `id` (string, optional) — A string that uniquely identifies this list. - `list_rating` (integer, optional) — An auto-generated activity score for the list (0-5). - `marketing_permissions` (boolean, optional, default: false) — Whether or not the list has marketing permissions (eg. GDPR) enabled. - `modules` (list of string, optional) — Any list-specific modules installed for this list. - `name` (string, optional) — The name of the list. - `notify_on_subscribe` (string, optional, default: false) — The email address to send [subscribe notifications](https://mailchimp.com/help/change-subscribe-and-unsubscribe-notifications/) to. - `notify_on_unsubscribe` (string, optional, default: false) — The email address to send [unsubscribe notifications](https://mailchimp.com/help/change-subscribe-and-unsubscribe-notifications/) to. - `permission_reminder` (string, optional) — The [permission reminder](https://mailchimp.com/help/edit-the-permission-reminder/) for the list. - `stats` (SubscriberListStats, optional) — Stats for the list. Many of these are cached for at least five minutes. - `subscribe_url_long` (string, optional) — The full version of this list's subscribe form (host will vary). - `subscribe_url_short` (string, optional) — Our [url shortened](https://mailchimp.com/help/share-your-signup-form/) version of this list's subscribe form. - `use_archive_bar` (boolean, optional, default: false) — Whether campaigns for this list use the [Archive Bar](https://mailchimp.com/help/about-email-campaign-archives-and-pages/) in archives by default. - `visibility` (enum, optional) — Legacy - visibility settings are no longer used - Allowed values: `pub`, `prv` - `web_id` (integer, optional) — The ID used in the Mailchimp web application. View this list in your Mailchimp account at `https://{dc}.admin.mailchimp.com/lists/members/?id={web_id}`. ## Types ### 30ListsListIdPatchRequestBodyContentApplicationJsonSchemaCampaignDefaults [Default values for campaigns](https://mailchimp.com/help/edit-your-emails-subject-preview-text-from-name-or-from-email-address/) created for this list. - `from_email` (string, optional) — The default from email for campaigns sent to this list. - `from_name` (string, optional) — The default from name for campaigns sent to this list. - `language` (string, optional) — The default language for this lists's forms. - `subject` (string, optional) — The default subject line for campaigns sent to this list. ### 30ListsListIdPatchRequestBodyContentApplicationJsonSchemaContact [Contact information displayed in campaign footers](https://mailchimp.com/help/about-campaign-footers/) to comply with international spam laws. - `address1` (string, optional) — The street address for the list contact. - `address2` (string, optional) — The street address for the list contact. - `city` (string, optional) — The city for the list contact. - `company` (string, optional) — The company name for the list. - `country` (string, optional) — A two-character ISO3166 country code. Defaults to US if invalid. - `phone` (string, optional) — The phone number for the list contact. - `state` (string, optional) — The state for the list contact. - `zip` (string, optional) — The postal or zip code for the list contact. ### SubscriberListLinksItems This object represents a link from the resource where it is found to another resource or action that may be performed. - `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action. - `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'. - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD` - `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link. - `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to. - `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to. ### SubscriberListCampaignDefaults [Default values for campaigns](https://mailchimp.com/help/edit-your-emails-subject-preview-text-from-name-or-from-email-address/) created for this list. - `from_email` (string, optional) — The default from email for campaigns sent to this list. - `from_name` (string, optional) — The default from name for campaigns sent to this list. - `language` (string, optional) — The default language for this lists's forms. - `subject` (string, optional) — The default subject line for campaigns sent to this list. ### SubscriberListContact [Contact information displayed in campaign footers](https://mailchimp.com/help/about-campaign-footers/) to comply with international spam laws. - `address1` (string, optional) — The street address for the list contact. - `address2` (string, optional) — The street address for the list contact. - `city` (string, optional) — The city for the list contact. - `company` (string, optional) — The company name for the list. - `country` (string, optional) — A two-character ISO3166 country code. Defaults to US if invalid. - `phone` (string, optional) — The phone number for the list contact. - `state` (string, optional) — The state for the list contact. - `zip` (string, optional) — The postal or zip code for the list contact. ### SubscriberListStats Stats for the list. Many of these are cached for at least five minutes. - `avg_sub_rate` (double, optional) — The average number of subscriptions per month for the list (not returned if we haven't calculated it yet). - `avg_unsub_rate` (double, optional) — The average number of unsubscriptions per month for the list (not returned if we haven't calculated it yet). - `campaign_count` (integer, optional) — The number of campaigns in any status that use this list. - `campaign_last_sent` (datetime, optional) — The date and time the last campaign was sent to this list in ISO 8601 format. This is updated when a campaign is sent to 10 or more recipients. - `cleaned_count` (integer, optional) — The number of members cleaned from the list. - `cleaned_count_since_send` (integer, optional) — The number of members cleaned from the list since the last campaign was sent. - `click_rate` (double, optional) — The average click rate (a percentage represented as a number between 0 and 100) per campaign for the list (not returned if we haven't calculated it yet). - `last_sub_date` (datetime, optional) — The date and time of the last time someone subscribed to this list in ISO 8601 format. - `last_unsub_date` (datetime, optional) — The date and time of the last time someone unsubscribed from this list in ISO 8601 format. - `member_count` (integer, optional) — The number of active members in the list. - `member_count_since_send` (integer, optional) — The number of active members in the list since the last campaign was sent. - `merge_field_count` (integer, optional) — The number of merge fields ([audience field](https://mailchimp.com/help/getting-started-with-merge-tags/)) for this list (doesn't include EMAIL). - `open_rate` (double, optional) — The average open rate (a percentage represented as a number between 0 and 100) per campaign for the list (not returned if we haven't calculated it yet). - `target_sub_rate` (double, optional) — The target number of subscriptions per month for the list to keep it growing (not returned if we haven't calculated it yet). - `total_contacts` (integer, optional) — An approximate count of subscribed, unsubscribed, and transactional contacts in the list. Does not include cleaned, archived, pending, or contacts that need to be reconfirmed. Requires the (deprecated) include_total_contacts query parameter to be included; for a complete audience contact count, use the /audiences endpoint instead. - `unsubscribe_count` (integer, optional) — The number of members who have unsubscribed from the list. - `unsubscribe_count_since_send` (integer, optional) — The number of members who have unsubscribed since the last campaign was sent. ## Examples **Request** ```json {} ``` **Response** ```json { "_links": [ { "href": "string", "method": "GET", "rel": "string", "schema": "string", "targetSchema": "string" } ], "beamer_address": "string", "campaign_defaults": { "from_email": "string", "from_name": "string", "language": "string", "subject": "string" }, "contact": { "address1": "string", "address2": "string", "city": "string", "company": "string", "country": "string", "phone": "string", "state": "string", "zip": "string" }, "date_created": "2024-01-15T09:30:00Z", "double_optin": false, "email_type_option": true, "has_welcome": false, "id": "string", "list_rating": 1, "marketing_permissions": false, "modules": [ "string" ], "name": "string", "notify_on_subscribe": "string", "notify_on_unsubscribe": "string", "permission_reminder": "string", "stats": { "avg_sub_rate": 1.1, "avg_unsub_rate": 1.1, "campaign_count": 1, "campaign_last_sent": "2024-01-15T09:30:00Z", "cleaned_count": 1, "cleaned_count_since_send": 1, "click_rate": 1.1, "last_sub_date": "2024-01-15T09:30:00Z", "last_unsub_date": "2024-01-15T09:30:00Z", "member_count": 1, "member_count_since_send": 1, "merge_field_count": 1, "open_rate": 1.1, "target_sub_rate": 1.1, "total_contacts": 1, "unsubscribe_count": 1, "unsubscribe_count_since_send": 1 }, "subscribe_url_long": "string", "subscribe_url_short": "string", "use_archive_bar": false, "visibility": "pub", "web_id": 1 } ``` **SDK Code** ```python import requests url = "https://api.mailchimp.com/3.0/lists/list_id" payload = {} headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.patch(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.mailchimp.com/3.0/lists/list_id'; const options = { method: 'PATCH', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.mailchimp.com/3.0/lists/list_id" payload := strings.NewReader("{}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.mailchimp.com/3.0/lists/list_id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.patch("https://api.mailchimp.com/3.0/lists/list_id") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('PATCH', 'https://api.mailchimp.com/3.0/lists/list_id', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.mailchimp.com/3.0/lists/list_id"); var request = new RestRequest(Method.PATCH); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.mailchimp.com/3.0/lists/list_id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PATCH" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Find all the Mailchimp API documentation and tools developers need to send marketing and transactional emails.